1
0
Fork 0
mirror of synced 2024-10-01 01:28:51 +13:00

Cleanup after testing/looking through hosting files.

This commit is contained in:
mike12345567 2021-05-20 12:21:58 +01:00
parent 53d5480aad
commit 3e92311101
5 changed files with 9 additions and 31 deletions

View file

@ -1,20 +0,0 @@
#!/usr/bin/env bash
GITHUB_BASE_URL=https://raw.githubusercontent.com/Budibase/budibase/master/hosting
if ! [ -x "$(command -v wget)" ]; then
echo 'Error: wget is not installed. Please install it for your operating system.' >&2
exit 1
fi
fetch_config_files() {
wget $GITHUB_BASE_URL/docker-compose.yaml
wget $GITHUB_BASE_URL/envoy.yaml
wget $GITHUB_BASE_URL/hosting.properties
wget $GITHUB_BASE_URL/start.sh
}
fetch_config_files
# Start budibase
docker-compose --env-file hosting.properties up -d

View file

@ -48,6 +48,7 @@ services:
REDIS_URL: redis-service:6379 REDIS_URL: redis-service:6379
REDIS_PASSWORD: ${REDIS_PASSWORD} REDIS_PASSWORD: ${REDIS_PASSWORD}
depends_on: depends_on:
- redis-service
- minio-service - minio-service
- couch-init - couch-init

View file

@ -1,2 +0,0 @@
#!/bin/bash
docker-compose --env-file hosting.properties up

View file

@ -1 +0,0 @@
docker-compose --env-file hosting.properties pull && ./start.sh

View file

@ -11,13 +11,13 @@ async function optOut() {
client.disable() client.disable()
console.log( console.log(
success( success(
"Successfully opted out of budibase analytics. You can opt in at any time by running 'budi analytics opt-in'" "Successfully opted out of Budibase analytics. You can opt in at any time by running 'budi analytics opt-in'"
) )
) )
} catch (err) { } catch (err) {
console.log( console.log(
error( error(
"Error opting out of budibase analytics. Please try again later.", "Error opting out of Budibase analytics. Please try again later.",
err err
) )
) )
@ -30,12 +30,12 @@ async function optIn() {
client.enable() client.enable()
console.log( console.log(
success( success(
"Successfully opted in to budibase analytics. Thank you for helping us make budibase better!" "Successfully opted in to Budibase analytics. Thank you for helping us make Budibase better!"
) )
) )
} catch (err) { } catch (err) {
console.log( console.log(
error("Error opting in to budibase analytics. Please try again later.") error("Error opting in to Budibase analytics. Please try again later.")
) )
} }
} }
@ -51,12 +51,12 @@ async function status() {
} }
const command = new Command(`${CommandWords.ANALYTICS}`) const command = new Command(`${CommandWords.ANALYTICS}`)
.addHelp("Control the analytics you send to budibase.") .addHelp("Control the analytics you send to Budibase.")
.addSubOption("--optin", "Opt in to sending analytics to budibase", optIn) .addSubOption("--optin", "Opt in to sending analytics to Budibase", optIn)
.addSubOption("--optout", "Opt out of sending analytics to budibase.", optOut) .addSubOption("--optout", "Opt out of sending analytics to Budibase.", optOut)
.addSubOption( .addSubOption(
"--status", "--status",
"Check whether you are currently opted in to budibase analytics.", "Check whether you are currently opted in to Budibase analytics.",
status status
) )